### Method

# Gcr ImportInteraction supplement_async

#### Declaration [src]

    void
    gcr_import_interaction_supplement_async (
      GcrImportInteraction* interaction,
      GckBuilder* builder,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously supplement attributes before import. This means prompting the user for things like labels and the like. The needed attributes will have been passed to gcr_import_interaction_supplement_prep().

This method prompts the user and fills in the attributes.

This method completes asynchronously. Use `gcr_import_interaction_supplement_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`builder`

  Type: `GckBuilder`

  Supplemented attributes.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellable object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.